package resume

import (
	ecore "simrs-vx/internal/domain/base-entities/core"
	ed "simrs-vx/internal/domain/main-entities/doctor"

	erc "simrs-vx/internal/domain/references/common"
)

type Resume struct {
	ecore.Main
	Encounter_Id *uint                `json:"encounter_id" gorm:"not null"`
	Doctor_Code  *string              `json:"doctor_code" gorm:"size:10"`
	Doctor       *ed.Doctor           `json:"doctor,omitempty" gorm:"foreignKey:Doctor_Code;references:Code"`
	Value        *string              `json:"value"`
	FileUrl      *string              `json:"fileUrl" gorm:"size:1024"`
	Status_Code  erc.DataVerifiedCode `json:"status_code" gorm:"not null;size:10"`
}

func (d Resume) IsNew() bool {
	return d.Status_Code == erc.DVCNew
}

func (d Resume) IsVerified() bool {
	return d.Status_Code == erc.DVCVerified
}

func (d Resume) IsValidated() bool {
	return d.Status_Code == erc.DVCValidated
}
